# Uses of Class
it.tdlight.jni.TdApi.BackgroundFill

## Uses of TdApi.BackgroundFill in it.tdlight.jni

Subclasses of TdApi.BackgroundFill in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.BackgroundFillFreeformGradient`
Describes a freeform gradient fill of a background.
`static final class`
`TdApi.BackgroundFillGradient`
Describes a gradient fill of a background.
`static final class`
`TdApi.BackgroundFillSolid`
Describes a solid fill of a background.
Fields in it.tdlight.jni declared as TdApi.BackgroundFill
Modifier and Type
Field
Description
`TdApi.BackgroundFill`
TdApi.ChatPhotoSticker.`backgroundFill`
The fill to be used as background for the sticker; rotation angle in backgroundFillGradient isn't supported.
`TdApi.BackgroundFill`
TdApi.BackgroundTypeFill.`fill`
The background fill.
`TdApi.BackgroundFill`
TdApi.BackgroundTypePattern.`fill`
Fill of the background.
`TdApi.BackgroundFill`
TdApi.ThemeSettings.`outgoingMessageFill`
The fill to be used as a background for outgoing messages.
Constructors in it.tdlight.jni with parameters of type TdApi.BackgroundFill
Modifier
Constructor
Description
``
`BackgroundTypeFill(TdApi.BackgroundFill fill)`
A filled background.
``
`BackgroundTypePattern(TdApi.BackgroundFill fill, int intensity, boolean isInverted, boolean isMoving)`
A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.
``
`ChatPhotoSticker(TdApi.ChatPhotoStickerType type, TdApi.BackgroundFill backgroundFill)`
Information about the sticker, which was used to create the chat photo.
``
`ThemeSettings(int accentColor, TdApi.Background background, TdApi.BackgroundFill outgoingMessageFill, boolean animateOutgoingMessageFill, int outgoingMessageAccentColor)`
Describes theme settings.